package com.dev.swms.server.service.rule;

import java.util.List;
import java.util.Map;

import org.springframework.transaction.annotation.Transactional;

import com.dev.swms.server.model.rules.PickItemRule;

@Transactional (readOnly=true)
public interface PickItemRuleManager {
	@Transactional
	public void storePickItemRule(PickItemRule pickItemRule);
	
	@Transactional
	public void deletePickItemRule(List<Long> ids);
	
	@Transactional
	public void deletePickItemRule(Map params);
	
	Map getPutRackRuleByWareHouseId(Map param);
	
	Map getBillTypeByCompanyId(Map param);
	
	Map getPutRackRules(Map param);
}
